import Game from "./pages/Game";
import {useContext} from "react";
import {StateContext} from "@/common/contexts/StateContext";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faMusic} from "@fortawesome/free-solid-svg-icons";
import Home from "@/pages/Home";

const App = () => {
    const {currentState} = useContext(StateContext);

    return (
        <>
            <div className="background-elements">
                <FontAwesomeIcon icon={faMusic} className="music-note note-1" />
                <FontAwesomeIcon icon={faMusic} className="music-note note-2" />
                <FontAwesomeIcon icon={faMusic} className="music-note note-3" />
            </div>
            {currentState === "Home" && <Home />}
            {currentState === "Game" && <Game />}
        </>
    )
}

export default App
